E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::ServerParser::AddressCommand Struct Reference

mail-from or rcpt-to More...

`#include <gsmtpserverparser.h>`

Collaboration diagram for GSmtp::ServerParser::AddressCommand:
[legend]

## Public Member Functions
| AddressCommand (const std::string &e)

## Public Attributes
std::string | error
std::string | raw_address
std::string | address
AddressStyle | address_style {AddressStyle::Ascii}
bool | utf8_mailbox_part {false}
bool | utf8_domain_part {false}
std::size_t | tailpos {std::string::npos}
std::size_t | size {0U}
std::string | auth
std::string | body
bool | smtputf8 {false}
bool | invalid_spaces {false}
bool | invalid_nobrackets {false}

## Detailed Description

mail-from or rcpt-to

Definition at line 57 of file gsmtpserverparser.h.

## Constructor & Destructor Documentation

## ◆ AddressCommand()

GSmtp::ServerParser::AddressCommand::AddressCommand | ( | const std::string & | e | ) |
| inline

Definition at line 60 of file gsmtpserverparser.h.

## Member Data Documentation

## ◆ address

std::string GSmtp::ServerParser::AddressCommand::address

Definition at line 63 of file gsmtpserverparser.h.

## ◆ address_style

AddressStyle GSmtp::ServerParser::AddressCommand::address_style {AddressStyle::Ascii}

Definition at line 64 of file gsmtpserverparser.h.

## ◆ auth

std::string GSmtp::ServerParser::AddressCommand::auth

Definition at line 69 of file gsmtpserverparser.h.

## ◆ body

std::string GSmtp::ServerParser::AddressCommand::body

Definition at line 70 of file gsmtpserverparser.h.

## ◆ error

std::string GSmtp::ServerParser::AddressCommand::error

Definition at line 61 of file gsmtpserverparser.h.

## ◆ invalid_nobrackets

bool GSmtp::ServerParser::AddressCommand::invalid_nobrackets {false}

Definition at line 73 of file gsmtpserverparser.h.

## ◆ invalid_spaces

bool GSmtp::ServerParser::AddressCommand::invalid_spaces {false}

Definition at line 72 of file gsmtpserverparser.h.

## ◆ raw_address

std::string GSmtp::ServerParser::AddressCommand::raw_address

Definition at line 62 of file gsmtpserverparser.h.

## ◆ size

std::size_t GSmtp::ServerParser::AddressCommand::size {0U}

Definition at line 68 of file gsmtpserverparser.h.

## ◆ smtputf8

bool GSmtp::ServerParser::AddressCommand::smtputf8 {false}

Definition at line 71 of file gsmtpserverparser.h.

## ◆ tailpos

std::size_t GSmtp::ServerParser::AddressCommand::tailpos {std::string::npos}

Definition at line 67 of file gsmtpserverparser.h.

## ◆ utf8_domain_part

bool GSmtp::ServerParser::AddressCommand::utf8_domain_part {false}

Definition at line 66 of file gsmtpserverparser.h.

## ◆ utf8_mailbox_part

bool GSmtp::ServerParser::AddressCommand::utf8_mailbox_part {false}

Definition at line 65 of file gsmtpserverparser.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpserverparser.h